> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List source fields



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /agency/source/{id}/fields
openapi: 3.0.4
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
tags:
  - name: Account
  - name: AccountNotification
  - name: Agency
  - name: Analytics
  - name: Billing
  - name: Bot
  - name: BotMetric
  - name: BotSourceVariable
  - name: BotTemplate
  - name: BotTesting
  - name: Dashboard
  - name: Hierarchy
  - name: Lead
  - name: Leaderboard
  - name: Library
  - name: LiveDemo
  - name: Notification
  - name: Persona
  - name: Report
  - name: SmartFAQ
  - name: Source
  - name: SourceChannel
  - name: Webhook
paths:
  /agency/source/{id}/fields:
    get:
      tags:
        - Source
      summary: List source fields
      parameters:
        - name: id
          in: path
          description: The source ID.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/SourceFieldCollectionDto'
            application/json:
              schema:
                $ref: '#/components/schemas/SourceFieldCollectionDto'
            text/json:
              schema:
                $ref: '#/components/schemas/SourceFieldCollectionDto'
components:
  schemas:
    SourceFieldCollectionDto:
      type: object
      properties:
        contact:
          type: array
          items:
            $ref: '#/components/schemas/SourceFieldDto'
          nullable: true
        location:
          type: array
          items:
            $ref: '#/components/schemas/SourceFieldDto'
          nullable: true
        customValue:
          type: array
          items:
            $ref: '#/components/schemas/SourceFieldDto'
          nullable: true
      additionalProperties: false
    SourceFieldDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        fieldKey:
          type: string
          nullable: true
        dataType:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.